Bug 1267429 - OSError: [Errno 30] Read-only file system: '/mnt/sysimage/etc/fstab'
OSError: [Errno 30] Read-only file system: '/mnt/sysimage/etc/fstab'
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:d53b10d886e28677d8c48173958...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 22:06 EDT by Govindarajan
Modified: 2015-12-09 10:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-30 09:35:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (1.51 MB, text/plain)
2015-09-29 22:06 EDT, Govindarajan
no flags Details
File: anaconda.log (35.35 KB, text/plain)
2015-09-29 22:06 EDT, Govindarajan
no flags Details
File: environ (600 bytes, text/plain)
2015-09-29 22:06 EDT, Govindarajan
no flags Details
File: journalctl (815.00 KB, text/plain)
2015-09-29 22:06 EDT, Govindarajan
no flags Details
File: lsblk_output (2.83 KB, text/plain)
2015-09-29 22:06 EDT, Govindarajan
no flags Details
File: nmcli_dev_list (1.44 KB, text/plain)
2015-09-29 22:06 EDT, Govindarajan
no flags Details
File: os_info (451 bytes, text/plain)
2015-09-29 22:06 EDT, Govindarajan
no flags Details
File: program.log (230.81 KB, text/plain)
2015-09-29 22:06 EDT, Govindarajan
no flags Details
File: storage.log (357.46 KB, text/plain)
2015-09-29 22:06 EDT, Govindarajan
no flags Details
File: ifcfg.log (2.62 KB, text/plain)
2015-09-29 22:06 EDT, Govindarajan
no flags Details
File: packaging.log (150 bytes, text/plain)
2015-09-29 22:06 EDT, Govindarajan
no flags Details

  None (edit)
Description Govindarajan 2015-09-29 22:06:19 EDT
Description of problem:
Error while installing Fedora 23 Beta KDE spin.

Version-Release number of selected component:
anaconda-core-23.19.4-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.4-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.4/site-packages/blivet/util.py", line 645, in eintr_retry_call
    return func(*args, **kwargs)
  File "/usr/lib/python3.4/site-packages/blivet/util.py", line 668, in open
    return eintr_retry_call(_open, *args, **kwargs)
  File "/usr/lib/python3.4/site-packages/blivet/osinstall.py", line 712, in write
    open(fstab_path, "w").write(fstab)
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 1381, in write
    self.fsset.write()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/packaging/__init__.py", line 644, in writeStorageLate
    self.storage.write()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/install.py", line 235, in doInstall
    payload.writeStorageLate()
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
OSError: [Errno 30] Read-only file system: '/mnt/sysimage/etc/fstab'

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-KDE-x86_64-23_B-1 ro rd.live.image quiet rhgb
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.0-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64, python3-blivet-1.12.4-1.fc23.noarch
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 Govindarajan 2015-09-29 22:06:22 EDT
Created attachment 1078513 [details]
File: anaconda-tb
Comment 2 Govindarajan 2015-09-29 22:06:23 EDT
Created attachment 1078514 [details]
File: anaconda.log
Comment 3 Govindarajan 2015-09-29 22:06:24 EDT
Created attachment 1078515 [details]
File: environ
Comment 4 Govindarajan 2015-09-29 22:06:26 EDT
Created attachment 1078516 [details]
File: journalctl
Comment 5 Govindarajan 2015-09-29 22:06:27 EDT
Created attachment 1078517 [details]
File: lsblk_output
Comment 6 Govindarajan 2015-09-29 22:06:27 EDT
Created attachment 1078518 [details]
File: nmcli_dev_list
Comment 7 Govindarajan 2015-09-29 22:06:28 EDT
Created attachment 1078519 [details]
File: os_info
Comment 8 Govindarajan 2015-09-29 22:06:29 EDT
Created attachment 1078520 [details]
File: program.log
Comment 9 Govindarajan 2015-09-29 22:06:31 EDT
Created attachment 1078521 [details]
File: storage.log
Comment 10 Govindarajan 2015-09-29 22:06:31 EDT
Created attachment 1078522 [details]
File: ifcfg.log
Comment 11 Govindarajan 2015-09-29 22:06:32 EDT
Created attachment 1078523 [details]
File: packaging.log
Comment 12 Chris Lumens 2015-09-30 09:35:20 EDT
Your logs are just completely full of storage related errors - either the live media you are installing from is bad, or the kernel has a bug, or you are experiencing hard drive failure.  Check out the syslog and program.log portions of your traceback file.
Comment 13 ssmartin1 2015-12-09 10:23:29 EST
Another user experienced a similar problem:

Tried to install Fedora from a USB drive to newly reformated 128G hard drive. Installation proceeded fairly quickly to 45%. Progress bar then stopped moving. Error box appeared a fiew minutes later.

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=/isolinux/initrd0.img root=live:UUID=7316-3C8F rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 BOOT_IMAGE=/isolinux/vmlinuz0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-blivet-1.12.8-1.fc23.noarch, python3-libs-3.4.3-5.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
product:        Fedora
reason:         OSError: [Errno 30] Read-only file system: '/mnt/sysimage/etc/fstab'
release:        Fedora release 23 (Twenty Three)
version:        23

Note You need to log in before you can comment on or make changes to this bug.